import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'http://vis.lab.djosix.com:2020/data/iris.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d['sepal length'] = +d['sepal length'];
      d['sepal width'] = +d['sepal width'];
      d['petal length'] = +d['petal length'];
      d['petal width'] = +d['petal width'];
      return d;
    };
    csv('iris.csv', row).then(setData);
  }, []);
  
  return data;
};